# AP4_AtomFactory Class Reference

`#include <Ap4AtomFactory.h>`

Inheritance diagram for AP4_AtomFactory:

List of all members.

## Public Member Functions
| AP4_AtomFactory ()
| ~AP4_AtomFactory ()
AP4_Result | AddTypeHandler (TypeHandler *handler)
AP4_Result | RemoveTypeHandler (TypeHandler *handler)
AP4_Result | CreateAtomFromStream (AP4_ByteStream &stream, AP4_LargeSize &bytes_available, AP4_Atom *&atom)
AP4_Result | CreateAtomFromStream (AP4_ByteStream &stream, AP4_Atom *&atom)
AP4_Result | CreateAtomsFromStream (AP4_ByteStream &stream, AP4_AtomParent &atoms)
AP4_Result | CreateAtomsFromStream (AP4_ByteStream &stream, AP4_LargeSize bytes_available, AP4_AtomParent &atoms)
void | PushContext (AP4_Atom::Type context)
void | PopContext ()
AP4_Atom::Type | GetContext (AP4_Ordinal depth=0)
## Classes
class | TypeHandler

## Detailed Description

Definition at line 47 of file Ap4AtomFactory.h.

## Constructor & Destructor Documentation

AP4_AtomFactory::AP4_AtomFactory | ( |  | ) | `[inline]`

Definition at line 61 of file Ap4AtomFactory.h.

AP4_AtomFactory::~AP4_AtomFactory | ( |  | ) |

## Member Function Documentation

AP4_Result AP4_AtomFactory::AddTypeHandler | ( | TypeHandler * | handler | ) |

AP4_Result AP4_AtomFactory::RemoveTypeHandler | ( | TypeHandler * | handler | ) |

AP4_Result AP4_AtomFactory::CreateAtomFromStream | ( | AP4_ByteStream & | stream,
|  | AP4_LargeSize & | bytes_available,
|  | AP4_Atom *& | atom |
| ) |  |  |

AP4_Result AP4_AtomFactory::CreateAtomFromStream | ( | AP4_ByteStream & | stream,
|  | AP4_Atom *& | atom |
| ) |  |  |

AP4_Result AP4_AtomFactory::CreateAtomsFromStream | ( | AP4_ByteStream & | stream,
|  | AP4_AtomParent & | atoms |
| ) |  |  |

AP4_Result AP4_AtomFactory::CreateAtomsFromStream | ( | AP4_ByteStream & | stream,
|  | AP4_LargeSize | bytes_available,
|  | AP4_AtomParent & | atoms |
| ) |  |  |

void AP4_AtomFactory::PushContext | ( | AP4_Atom::Type | context | ) |

void AP4_AtomFactory::PopContext | ( |  | ) |

AP4_Atom::Type AP4_AtomFactory::GetContext | ( | AP4_Ordinal | depth = `0` | ) |

The documentation for this class was generated from the following file:

- Ap4AtomFactory.h